/*++
/* NAME
/*	dscan 3h
/* SUMMARY
/*	distributed port scanner
/* SYNOPSYS
/*	#include <dscan.h>
/* DESCRIPTION
/* LICENSE
/* .ad
/* .fi
/*	The dscan license must be distributed with this software.
/* AUTHOR(S)
/*	Intrinsic <intrinsic@hushmail.com>, Ni9 Technologies
/*--*/

#ifndef __DSCAN_H
#define __DSCAN_H

#define VERSION                   "0.4"
#define DSCAND_PORT               17001
#define PID_FILE                  "dscand.pid"

/*
 * Macro to print a fatal error.
 */
#define FATAL_ERROR(m)            printf("\n[*] Fatal error: %s\n", m);

/*
 * Macros to add and remove distributed hosts from a list, error handling
 * is handled internaly.
 */
#define ADD_DHOST(l, h ,p)        if(add_dhost((struct dhost_list_s *) &l,    \
                                    h, p) < 0) {                              \
                                  	FATAL_ERROR("memory allocation");     \
                                  	exit(1);                              \
                                  }                                           

#define DEL_DHOST(l, h)           if(del_dhost((struct dhost_list_s *) &l,    \
                                    h) < 0) {                                 \
                                  	FATAL_ERROR("could not find dhost");  \
                                  	exit(1);                              \
                                  }

#endif 
